Authenticator (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javacardx.framework
Interface Authenticator

All Superinterfaces:
  Shareable

All Known Subinterfaces:
  SharedBioTemplateAuth, SharedPasswordAuth, SharedPINAuth

    @TransactionType(value=NOT_SUPPORTED)
    @SensitiveType(sensitivity=FULL)
    public interface Authenticator

extends Shareable

The Authenticator interface provides a common interface to all Authenticator services.

A registered Authenticator service must implement this interface to provide an authentication service to other applications (in other contexts).

See Runtime Environment Specification, for the Java Card Platform, Connected Edition, chapter 6 for details.

Since:
  Java Card 3.0
See Also:
  `SharedPINAuth`, `SharedPasswordAuth`, `SharedBioTemplateAuth`

Method Summary
`boolean` | `isValidated()` Returns true if the credentials has been successfully checked since the last card reset or since this authenticator was reset.
`void` | `reset()` Resets the validated flag associated with this authenticator.

Method Detail

### isValidated

    boolean isValidated()

  Returns true if the credentials has been successfully checked since the last card reset or since this authenticator was reset.

  Returns:
    true if validated, false otherwise.

### reset

    void reset()

  Resets the validated flag associated with this authenticator.

  If this authenticator's validated flag is set, this method resets the validated flag and resets this authenticator's try counter to the value its try limit. If this authenticator's validated flag is not set, this method does nothing.

  A class implementing this interface may typically restrict the use of this method through access control checks.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.